当前位置:论坛首页 > Linux面板 > Linux面板教程

从5.9平滑升级到6.x

发表在 Linux面板2018-11-21 16:15   [复制链接] 198 156432

兼容的操作系统:Centos7.x
升级方式:使用命令升级



可能发生的问题和解决方案:

     问题1: 抱歉, Centos6.x无法通过此脚本升级到6.0!
     解决方案:Centos6.x的Python版本过低,不再被宝塔6.x兼容,建议您升级到Centos7,如果您对Centos比较熟悉也可以尝试安装Python3.4作为默认Python,但处理不好的话可能导致您的yum管理器无法正常使用

     问题2:检测到您的系统中安装有云锁,请先将云锁的[系统加固]功能关闭,再重新执行升级命令
     解决方案:将云锁的[系统加固]功能关闭,然后重新执行升级命令


     问题3:抱歉, 本升级脚本仅支持Centos7..
     解决方案:我们目前对Ubuntu/Debian等操作系统下的升级脚本还没有足够的信心,请关注我们后续推出的升级脚本


     问题3:升级后无法访问面板
     解决方案:
                    1、重新执行升级命令,若发现有报错,请截图在此贴回贴,或在QQ群联系技术人员求助
                    2、若重复执行升级命令依然无法访问面板,请执行以下命令,并将显示结果截图发给我们
  1. tail -n 50 /www/server/panel/logs/error.log
复制代码

    问题4:升级后面板能正常登录,但无法获取软件列表   
    解决方案:造成这个问题是因为网络原因,导致升级过程不完整,请尝试重新执行升级命令,若一直无法得到解决,请联系我们的技术人员为您手动升级


    问题5:升级后原来的计划任务无法编辑
    解决方案:我们在6.0对计划任务模块进行了重写,不再兼容5.9的计划任务,但不影响原来计划任务的执行,仅是无法编辑,如果在意,请删除旧的计划任务后重新添加

    问题6:我原来是专业版,专业版的升级命令在哪里?
    解决方案:专业版和免费版使用一样的升级命令,升级成功登录面板后自动升级为专业版

    问题7:如何退回5.9?
    解决方案:卸载所有插件,然后使用5.9的安装命令重装

    问题8: 升级后某些插件无法使用
    解决方案: 卸载无法使用的插件,重新安装


    升级命令:
    注意:
    1、Centos6请勿执行此升级命令

    2、升级过程耗时较长且可能会受网络因素影响导致升级失败
    3、如果升级后无法正常启动面板,请重新执行升级命令
    4、升级有一定的风险,生产环境请谨慎升级
  1. curl -sSO http://download.bt.cn/install/update_to_6.sh && bash update_to_6.sh
复制代码







使用道具 举报 只看该作者 回复
发表于 2018-11-22 09:25:51 | 显示全部楼层
aooicom 发表于 2018-11-21 23:49
升级失败了,面板打不开了,升级2次都是打不开。这是错误日志,麻烦工程师帮忙看看。

您好,已针对您的情况做了针对处理,请尝试重新执行升级命令,谢谢
使用道具 举报 回复 支持 2 反对 0
发表于 2018-11-22 09:27:38 | 显示全部楼层
yiman 发表于 2018-11-21 19:22
已经升级好了,但是就是打不开

您好,已尝试对您当前的情况做了针对处理,请尝试重新执行升级命令,如果还不行,请在QQ群联系技术,如果没有加QQ群,请加我QQ287962566,在添加时说明身份,谢谢!
使用道具 举报 回复 支持 反对
发表于 2018-11-22 14:27:44 | 显示全部楼层
Always 发表于 2018-11-22 13:20
升级成功后,提升再升级PY。
无报错。

感谢,我测试下
使用道具 举报 回复 支持 1 反对 0
发表于 2018-12-4 15:58:24 | 显示全部楼层
loatife 发表于 2018-12-4 12:42
升级失败,这个怎么解决?

联系我QQ:287962566
使用道具 举报 回复 支持 反对
发表于 2018-12-24 14:22:53 | 显示全部楼层
xiaoke0001 发表于 2018-12-24 13:28
centos7.4腾讯云升级失败,日志在附件里,求帮助!

两种可能:

1、DNS配置有问题
2、PIP源连不上,请换豆瓣或阿里云的pip源试试

换pip源教程:https://www.cnblogs.com/lpl521/p/6778048.html
使用道具 举报 回复 支持 反对
发表于 2019-7-5 14:44:21 | 显示全部楼层
anhui1995 发表于 2019-7-5 11:48
5.91 升级失败了,升级2次后还是打不开。这是错误日志,系统是  Debian 8.8 64位的,麻烦工程师帮忙看看。 ...

看起来是OpenSSL出了问题,先把SSL关闭,再尝试启动重新执行升级命令
  1. rm -f /www/server/panel/data/ssl.pl
复制代码
使用道具 举报 回复 支持 反对
发表于 2020-7-29 17:40:55 | 显示全部楼层
tsnp 发表于 2020-7-28 17:54
我原来的版本是5.9 执行平滑升级代码 最后提示成功升级到7.4.2 但是启动BT服务失败 这是按照网页指示给出的 ...

使用以下两条命令重新升级:
  1. rm -rf /www/server/panel/pyenv
  2. curl http://download.bt.cn/install/update_panel.sh|bash
复制代码
使用道具 举报 回复 支持 反对
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回顶部 返回列表